r3.out.bin(1)

NAME
r3.out.bin - Exports a GRASS 3D raster map to a binary array.

KEYWORDS
raster3d, export, voxel

SYNOPSIS
r3.out.bin
r3.out.bin --help
r3.out.bin [-rdi] input=name output=name [null=float] bytes=integer [order=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-r
    Switch the row order in output from north->south to south->north

-d
    Switch the depth order in output from bottom->top to top->bottom

-i
    Write data as integer

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input 3D raster map

output=name [required]
    Name for output file

null=float
    Value to write out for null
    Default: 0

bytes=integer [required]
    Number of bytes per cell in binary file
    Options: 1, 2, 4, 8

order=string
    Output byte order
    Options: big, little, native, swap
    Default: native

DESCRIPTION
The r3.out.bin program exports a GRASS 3D raster map to a binary array file. Optionally, output can be send to standard output (stdout) for direct input (pipe) into other applications. Data is exported according to the original GRASS 3D raster type (float, double).

NOTES
The write order of the rows (north->south to south->north) and the write order of the depths (bottom->top to top->bottom) can be switched.

The region parameters are printed to stderr when setting the verbose flag. Export of little and big endian byte order is supported.

Have a look at r3.out.ascii manual page that describes the internal layout of the 3D raster maps and the supported row and depth switch options.

EXAMPLES
Have a look at the examples in r3.in.bin.

SEE ALSO
r3.in.bin, r3.in.ascii

AUTHOR
Sören Gebbert, based on r.out.bin from Bob Covill and Glynn Clements

SOURCE CODE

Available at: r3.out.bin source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | 3D raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.1dev Reference Manual